Lavalite package that provides asd management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `ads/asd`.

    "ads/asd": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Ads\Asd\Providers\AsdServiceProvider::class,

And also add it to alias

    'Asd'  => Ads\Asd\Facades\Asd::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Ads\\AsdTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Ads\Asd\Providers\AsdServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Ads\Asd\Providers\AsdServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Ads\Asd\Providers\AsdServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/asd/{modulename}

**User**

    http://path-to-route-folder/user/asd/{modulename}

**Public**

    http://path-to-route-folder/asds


### API endpoints

**List**

    http://path-to-route-folder/api/user/asd/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/asd/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/asd/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/asd/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/asd/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/asd/{modulename}/{slug}
    METHOD: GET